## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# SPDX-License-Identifier: MIT

%global commit           7925f50f649b3813257faf2f4c0b381011f434f1
%global shortcommit      %{sub %{commit} 1 7}
%global commitdate       20250222
%global fontname         atkinson-hyperlegible-next
%global fontconf         64-%{fontname}

%global common_desc %{expand:
Atkinson Hyperlegible is a uniquely accessible typeface created by Braille
Institute of America. It has been developed specifically to increase legibility
for readers with low vision, and to improve comprehension.

Atkinson Hyperlegible Next, a refined version of Atkinson Hyperlegible,
improves on the original in every way. It features new weights, improved
kerning, refined curves, added symbols, and additional language support.
}


Name:           %{fontname}-fonts
Version:        2.100
Release:        %autorelease
Summary:        Second-gen font family made for legibility and comprehension with low-vision
License:        OFL-1.1
URL:            https://www.brailleinstitute.org/freefont/

Source0:        https://github.com/googlefonts/%{fontname}/archive/%{shortcommit}.tar.gz
Source1:        %{fontconf}.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel

%global fontlicense     OFL
%global fontlicenses    %{fontname}-%{commit}/OFL.txt

Requires:       %{name}-common = %{version}-%{release}

%description
%common_desc


%package common
Summary:        Common files of %{name}
Requires:       fontpackages-filesystem

%description common
%common_desc

This package consists of files used by other %{name} packages.


%prep
%setup -n %{fontname}-%{commit}

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p fonts/otf/*.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} %{buildroot}%{_fontconfig_confdir}
install -m 0644 -p %{SOURCE1} %{buildroot}%{_fontconfig_templatedir}/%{fontconf}.xml

for fconf in %{fontconf}.xml ; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done

%_font_pkg -f %{fontconf}.xml AtkinsonHyperlegibleNext-*.otf

%check
%fontcheck -a

%fontfiles -a

%files common
%doc DESCRIPTION.en_us.html %{fontname}-%{version}/DESCRIPTION.en_us.html


%changelog
## START: Generated by rpmautospec
* Mon Jun 02 2025 John Doe <packager@example.com> - 2.100-1
- Uncommitted changes
## END: Generated by rpmautospec
